<template>
  <div class="modal-container">
    <div class="modal">
      <div class="modal-header">
        <h3>{{ column.title }}</h3>
        <span @click="toggleModal" class="icon">
          <WindowCloseIcon></WindowCloseIcon>
        </span>
      </div>
      <div class="modal-body">
        <TabsContainer :col-title="column.title">
          <Tab title="Produktion">
            <RuleForm></RuleForm>
          </Tab>
          <Tab title="Kettenregel">
            <UnitRuleForm></UnitRuleForm>
          </Tab>
          <Tab title="Nutzlose Variable" >
            <UselessVarForm></UselessVarForm>
          </Tab>
        </TabsContainer>
      </div>
      <div class="modal-footer">
      </div>
    </div>
  </div>
</template>

<script>
import RuleForm from "./RuleForm";
import WindowCloseIcon from "vue-material-design-icons/WindowClose.vue"
import {inject} from "vue";
import UnitRuleForm from "./UnitRuleForm";
import TabsContainer from "./TabsContainer";
import Tab from "./Tab";
import UselessVarForm from "./UselessVarForm";

export default {
  name: "Modal",
  components: {
    RuleForm,
    UnitRuleForm,
    UselessVarForm,
    TabsContainer,
    Tab,
    WindowCloseIcon
  },
  props: ['column'],
  emits: ['toggleModal'],
  setup() {
    const toggleModal = inject('toggleModal')

    return {
      toggleModal
    }
  }
}
</script>

<style scoped>

</style>